# Method: users.getLoginProfile

- [HTTP request](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users/getLoginProfile#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users/getLoginProfile#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users/getLoginProfile#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users/getLoginProfile#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users/getLoginProfile#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users/getLoginProfile#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users/getLoginProfile#try-it)

Retrieves the profile information used for logging in to a virtual machine on Google Compute Engine.

### HTTP request

`GET https://oslogin.googleapis.com/v1/{name=users/*}/loginProfile`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The unique ID for the user in format `users/{user}`. |

### Query parameters

| Parameters ||
|---|---|
| `projectId` | `string` Required. The project ID of the Google Cloud Platform project. |
| `systemId` | `string` Optional. A system ID for filtering the results of the request. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/LoginProfile`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/compute.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).